From 65042b40c874ff9f3877e5bbb1915321f5759b68 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Mon, 28 Feb 2022 09:54:16 +0100
Subject: [PATCH] psql: Make SSL info display more compact

Don't display the status of SSL compression anymore, since it has been
removed from PostgreSQL.  Also, remove the bits display, since that
can be derived from the cipher suite.
---
 src/bin/psql/command.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

diff --git a/src/bin/psql/command.c b/src/bin/psql/command.c
index 292cff5df9..20745717a8 100644
--- a/src/bin/psql/command.c
+++ b/src/bin/psql/command.c
@@ -3667,22 +3667,16 @@ printSSLInfo(void)
 {
 	const char *protocol;
 	const char *cipher;
-	const char *bits;
-	const char *compression;
 
 	if (!PQsslInUse(pset.db))
 		return;					/* no SSL */
 
 	protocol = PQsslAttribute(pset.db, "protocol");
 	cipher = PQsslAttribute(pset.db, "cipher");
-	bits = PQsslAttribute(pset.db, "key_bits");
-	compression = PQsslAttribute(pset.db, "compression");
 
-	printf(_("SSL connection (protocol: %s, cipher: %s, bits: %s, compression: %s)\n"),
+	printf(_("SSL connection (protocol: %s, cipher: %s)\n"),
 		   protocol ? protocol : _("unknown"),
-		   cipher ? cipher : _("unknown"),
-		   bits ? bits : _("unknown"),
-		   (compression && strcmp(compression, "off") != 0) ? _("on") : _("off"));
+		   cipher ? cipher : _("unknown"));
 }
 
 /*
-- 
2.35.1

